
Figure - Bug #117753
【AF】【EVT3】【日志】概率出现（3/10），设置-系统-开发者选项被关闭
2023-05-04 18:04 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0097.C103(X103)

Resolution: FIXED Degrated: No

Severity: Minor Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-10

Test Type: Release Test Root cause: 设备异常重启导致。

Description

【问题描述】

开启开发者选项，设备正常使用中未重启，开发者选项会自动消失（3/10）

Related issues:

Related to Figure - Bug # 117752: 【AF】【EVT3】【小窗模式】使用蓝牙鼠标移... CLOSED 2023-05-04

History

#1 - 2023-05-04 18:35 - CD FW-廖涛

- Status changed from New to ASSIGNED

■ My analysis

通过观察现象，产生此问题时，设备由于小窗问题上层挂掉重启了，重启后，可能会发送 Intent.ACTION_BOOT_COMPLETED 广播，导致开发者选项开

启激活状态被重置。

测试反馈在常规操作下也出现过，但是目前前置条件不明且暂未复现，所以等先解决小窗导致的上层挂掉重启问题后，再进行重现分析。

小窗问题票：https://share.thundersoft.com/redmine/issues/117752

■ Next action

待小窗问题处理后进行复现及分析。

#2 - 2023-05-10 11:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198796 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:FactoryMode: Add dev mode entry log.TC-RID: 1201-0207601IssueID: TS-R-BUG-117753Change-Id: I6e47a5fea52b9fe6a1d29dad5b79642f2944b5e5

#3 - 2023-05-10 11:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
https://share.thundersoft.com/redmine/issues/117752


198795 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:FactoryMode: Add dev mode entry log.TC-RID: 1201-0207601IssueID: TS-R-BUG-117753Change-Id: I4785a2fff2559cd368a7404c83bfb899ddb5f722

#4 - 2023-05-10 11:25 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-10

- Root cause set to 设备异常重启导致。

■ Current conclusion

关联问题 #117752 已修复，并且针对开发者激活开关参数设置已增加日志。

根据之前的分析，设备没有重启，开发者开关激活后不会自动关闭，所以如果设备出现异常重启，是符合逻辑的，无需修改。若还存在不可解释的入口

消息问题，可以贴下日志。

■ Next action

测试验证。

#5 - 2023-05-11 18:56 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

在设置-系统中开发者选项消失后adb 可正常使用，之前出现这个现象 adb无法使用

现已无法复现该现象，关闭问题单

#6 - 2023-05-11 18:56 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
